 @Override
    public void onClick(View v) {
        switch (v.getId()){
            case R.id.button:
                int progress = progressBar.getProgress();
                progress = progress + 20;
                progressBar.setProgress(progress);
                break;
            default:
                 break;
        }
    }